सामग्री पर जाएँ

FLUX.1 [schnell] Redux

इंटीग्रेट करें

मॉडल id flux/schnell/redux
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux/schnell/redux?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.025 25 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs इमेज एडिटिंग तेज़ #style-transfer

कुछ चरणों वाले schnell संस्करण का उपयोग करके संदर्भ छवि से प्रॉम्प्ट-मुक्त छवि विविधताएँ, अधिकतम 12 चरणों तक

Black Forest Labs · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इमेज निर्माण के लिए उपयोग की गई स्रोत इमेज की ओर संकेत करने वाला URL।

image_size डिफ़ॉल्ट landscape_4_3

निर्मित इमेज के आयाम।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत output_format · acceleration · num_inference_steps · seed · enable_safety_checker
output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

acceleration डिफ़ॉल्ट none

निर्माण त्वरण; अधिक सेटिंग परिणाम बनाने में लगने वाला समय कम करती हैं।

डिफ़ॉल्ट 4

चलाए जाने वाले inference चरणों की संख्या।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

POST /run/flux/schnell/redux?wait=20 कोटेशन → $0.025
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux/schnell/redux?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

FLUX.1 [schnell] Redux के बारे में

टेक्स्ट प्रॉम्प्ट के बिना संदर्भ छवि (`image_url`) की विविधताएँ बनाता है। यह बहुत कम चरणों में काम करने वाले schnell वैरिएंट पर आधारित है। `num_inference_steps` का डिफ़ॉल्ट 4 है और अधिकतम 12 तक जा सकता है। आउटपुट के आयाम `image_size` प्रीसेट से लिए जाते हैं, प्रति अनुरोध अधिकतम 4 छवियाँ लौटाई जा सकती हैं, और फ़ॉर्मैट jpeg या png होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
इमेज निर्माण के लिए उपयोग की गई स्रोत इमेज की ओर संकेत करने वाला URL।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट4
1 – 12
चलाए जाने वाले inference चरणों की संख्या।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
निर्मित इमेज के आयाम।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच, जो असुरक्षित चिह्नित इमेज के स्थान पर काली इमेज लौटाती है। true मान जाँच सक्षम करता है; false इसे केवल अधिकृत खातों के लिए अक्षम करता है, जबकि बिना प्राधिकरण वाले अनुरोधों की जाँच हमेशा की जाती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpng
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टnone
noneregularhigh
निर्माण त्वरण; अधिक सेटिंग परिणाम बनाने में लगने वाला समय कम करती हैं।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux/schnell/redux",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 25,
    "usd": "0.025",
    "charged": 25,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, width, height, content_type}निर्मित इमेज की फ़ाइल जानकारी।
timings
object
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux/schnell/redux.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt